package com.danitheskunk.skunkworks.gfx;

public class NineSlice {
	private final ITexture bottom;
	private final ITexture bottomLeft;
	private final ITexture bottomRight;
	private final ITexture center;
	private final ITexture left;
	private final ITexture right;
	private final ITexture top;
	private final ITexture topLeft;
	private final ITexture topRight;

	public NineSlice(
		ITexture topLeft, ITexture topRight, ITexture bottomLeft,
		ITexture bottomRight, ITexture top, ITexture right, ITexture bottom,
		ITexture left, ITexture center
	) {
		this.topLeft = topLeft;
		this.topRight = topRight;
		this.bottomLeft = bottomLeft;
		this.bottomRight = bottomRight;
		this.top = top;
		this.right = right;
		this.bottom = bottom;
		this.left = left;
		this.center = center;
	}

	public ITexture getBottom() {
		return bottom;
	}

	public ITexture getBottomLeft() {
		return bottomLeft;
	}

	public ITexture getBottomRight() {
		return bottomRight;
	}

	public ITexture getCenter() {
		return center;
	}

	public ITexture getLeft() {
		return left;
	}

	public ITexture getRight() {
		return right;
	}

	public ITexture getTop() {
		return top;
	}

	public ITexture getTopLeft() {
		return topLeft;
	}

	public ITexture getTopRight() {
		return topRight;
	}
}
